#line 1 "AdolGraph.visamad"
#ifndef VISAMAD_APPLICATION
#define VISAMAD_APPLICATION
#line 1 "AdolGraph.visamad"
#include <Vd/VdIncludes.hxx>
#line 1 "AdolGraph.visamad"
#include <Vd/VdName.mxx>
#line 1 "AdolGraph.application.defaults"
#include <AdolGraph.application.defaults>

#line 1 "AdolGraph.visamad"
class VdVISAMAD;
#include <AdolGraph.windowmanager.declaration>
#include <AdolGraph.structuremanager.declaration>
#include <AdolGraph.processmanager.declaration>
class VdVISAMAD
{ int VdIsCreated;
  public:
VdVISAMAD(void);
~VdVISAMAD(void);
  void startTheSystem(void);
  void stopTheSystem(void);
};
VdWINDOWMANAGER(AdolGraph)* theWindowManagerPtr;
VdSTRUCTUREMANAGER(AdolGraph)* theStructureManagerPtr;
VdPROCESSMANAGER(AdolGraph)* theProcessManagerPtr;

int VdPrintProtocol = 0;
VdString VdTitle, VdVersion;

int argc;
char** argv;

int VdGetArgument(const VdString & op,int pn,VdString & res)
{ int i,j,r=0;
   for (i=1; i<argc; i++)
     if (op==VdString(argv[i])) { r=1; break; }
   if (r==0) return 0;
   j=i+1; argc--;
   if (pn) { res=VdString(argv[j++]); argc--; }
   for (; i<argc; (j++,i++))
     argv[i]=argv[j];
   return 1;
}

VdVISAMAD::VdVISAMAD(void)
: VdIsCreated(1)
{ VdTitle=VdString(
#line 3
"Adol-C Computation Graph Editor"
);
  VdVersion=VdString(
#line 4
"Version 1.2 (1995)\nTU Dresden, Institut f. Wissenschaftliches Rechnen"
);
  startTheSystem();
}
VdVISAMAD::~VdVISAMAD(void)
{ stopTheSystem();
}
void VdVISAMAD::startTheSystem(void)
{ VdString in("-P"), res;
  if (VdGetArgument(in,0,res)) VdPrintProtocol=1;
  VdStringList buttons;
  (void)VdCreateAndHandleDecision(VdTitle,VdVersion,buttons);
}
void VdVISAMAD::stopTheSystem(void){}
#include <AdolGraph.windowmanager.definition>
#include <AdolGraph.structuremanager.definition>
#include <AdolGraph.processmanager.definition>

void main(int ac, char* av[])
{ argc=ac; argv=av;
  VdWindowInterface::theWindowSystemInterfacePtr
  =theWindowManagerPtr
   =new VdWINDOWMANAGER(AdolGraph)(&argc,argv);
  theStructureManagerPtr=new VdSTRUCTUREMANAGER(AdolGraph);
  theProcessManagerPtr=new VdPROCESSMANAGER(AdolGraph);
  VdVISAMAD theApplication;
  theWindowManagerPtr->run();
}
#endif /* VISAMAD_APPLICATION */
