#ifndef _VDALLSELECTEDHANDLES_HXX
#define _VDALLSELECTEDHANDLES_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdAllSelectedHandles.hxx                          *
*  Date: 31-10-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Benary, J. Hutschenreiter                    *
*  State of Realization: experimental version              *
*                                                          *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdAllSelectedHandles;

/******************    dependences    *********************/

#include <Vd/VdEvent.hxx>
#include <Vd/VdSelectedHandlesList.hxx>

class VdPicture;

class VdAllSelectedHandles{

 public:

  VdEvent theEvent;

  VdPicture * theEntirePicture;

  VdSelectedHandlesList selections;

};

#endif /* _VDALLSELECTEDHANDLES_HXX */


