#ifndef _VDCHECKBOXINTERFACE_HXX
#define _VDCHECKBOXINTERFACE_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdCheckBoxInterface.hxx                           *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*          aus ButtonInterface abgeleitete Klasse zur      *
*          Ankopplung von m-aus-n-PulldownOptions.         *
*          Bereitstellung in ButtonInterfacePtrList        *
*          mglich, da SelbstIdentifikation ber getType   *
*          eingefgt.                                      *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/   

class VdCheckBoxInterface;

/******************    dependences    *********************/

#include <Vd/VdButtonInterface.hxx>
#include <Vd/VdStringList.hxx>

class VdCheckBoxInterface: public VdButtonInterface{
 public:

  VdStringList labels;
  long mask; 

  virtual int getType( void ) { return 2; }
  virtual void activate ( const VdFeature & theWindow
                        );
  virtual void pullDown ( void );
};

#endif /* _VDCHECKBOXINTERFACE_HXX */
