/****************************************************************
*                                                               *
*                                                               *
*                                                               *
*  VdCompositionDeclaration.mxx   VISAMAD    Dresden, 02.09.94  *
*                                                               *
*                                                               *
*                                                               *
*****************************************************************
*                                                               *
*                                                               *
*    Deklarationen                                              *
*    von List(SLg(name)) List(Ref(name))                        *
*    und Option(SLg(name)) Option(Ref(name))                    *
*                                                               *
*                                                               *
*     Nutzung des Files :                                       *
*                                                               *
*      #define VdCompositionName name                           *
*      #include <Vd/VdCompositionDeclaration.mxx>               *
*      #undef VdCompositionName                                 *
*                                                               *
*                                                               *
****************************************************************/

#ifndef _VDLISTELEMENTGLOBDEF_
#define _VDLISTELEMENTGLOBDEF_
class element{};
#endif

#define VdListClassName VdLIST(VdCompositionName,REF_OF)
#define VdListElementType Ref(VdCompositionName)

class VdListClassName {
  class element
  { public:
    VdListClassElementType * val;
    VdListClassName::element * next;
  };
  VdListClassName::element * first, * last, * actual;
  int lastindex, actualindex, save;
  void remove ( void );
  void duplicate ( const VdListClassName & , int , int );

 public:
  VdListClassName ( void );
  VdListClassName ( const VdListClassName & );
  ~VdListClassName ( void );
  int operator! ( void ) const { return lastindex+1; }
  VdListClassName & operator= ( const VdListClassName & );
  VdListClassName & operator+= ( const VdListClassName & );
  VdListClassName operator+ ( const VdListClassName & ) const;
  VdListClassElementType & operator[] ( int );
  VdListClassElementType & ins ( int = -1 );
  void rem ( int );
  void reset ( int = 0 );
  int idx ( Ref(VdCompositionName) * , int = 0 );
  int idx ( Ref(VdCompositionName) & , int = 0 );
  int idx ( Slg(VdCompositionName) * , int = 0 );
  int idx ( Slg(VdCompositionName) & , int = 0 );
  int idx ( Obj(VdCompositionName) * , int = 0 );
  int idx ( Obj(VdCompositionName) & , int = 0 );
  int operator== ( const VdListClassName & ) const;
  int operator!= ( const VdListClassName & ) const;
  int operator<= ( const VdListClassName & ) const;
};

#undef VdListClassName
#undef VdListClassElementType

#define VdListClassName VdLIST(VdCompositionName,SLG_OF)
#define VdListElementType Slg(VdCompositionName)

class VdListClassName {
  class element
  { public:
    VdListClassElementType * val;
    VdListClassName::element * next;
  };
  VdListClassName::element * first, * last, * actual;
  int lastindex, actualindex, save;
  void remove ( void );
  void duplicate ( const VdListClassName & , int , int );

 public:
  VdListClassName ( void );
  VdListClassName ( const VdListClassName & );
  ~VdListClassName ( void );
  int operator! ( void ) const { return lastindex+1; }
  VdListClassName & operator= ( const VdListClassName & );
  VdListClassName & operator+= ( const VdListClassName & );
  VdListClassName operator+ ( const VdListClassName & ) const;
  VdListClassElementType & operator[] ( int );
  VdListClassElementType & ins ( int = -1 );
  void rem ( int );
  void reset ( int = 0 );
  int idx ( Ref(VdCompositionName) * , int = 0 );
  int idx ( Ref(VdCompositionName) & , int = 0 );
  int idx ( Slg(VdCompositionName) * , int = 0 );
  int idx ( Slg(VdCompositionName) & , int = 0 );
  int idx ( Obj(VdCompositionName) * , int = 0 );
  int idx ( Obj(VdCompositionName) & , int = 0 );
  int operator== ( const VdListClassName & ) const;
  int operator!= ( const VdListClassName & ) const;
  int operator<= ( const VdListClassName & ) const;
};

#undef VdListClassName
#undef VdListClassElementType

#define VdOptionClassName VdOPTION(VdCompositionName,REF_OF)
#define VdOptionElementType Ref(VdCompositionName)

class VdOptionClassName {
    VdOptionClassElementType * val;

 public:
  VdOptionClassName ( void ) { val = NULL; }
  VdOptionClassName ( const VdOptionClassName & );
  ~VdOptionClassName ( void ) { if (val) delete val; }
  int operator! ( void ) const { return val; }
  VdOptionClassElementType * operator-> ( void ) const
                 { return val; }
  operator VdOptionClassElementType & (void) const
                        { return *val; }
  void create ( VdString & s );
  void copy ( VdString & ) 
  void rem ( void ) { if (val) delete val; }
  
};

#undef VdOptionClassName
#undef VdOptionClassElementType


#define VdOptionClassName VdOPTION(VdCompositionName,SLG_OF)
#define VdOptionElementType Slg(VdCompositionName)

class VdOptionClassName {
    VdOptionClassElementType * val;

 public:
  VdOptionClassName ( void ) { val = NULL; }
  VdOptionClassName ( const VdOptionClassName & );
  ~VdOptionClassName ( void ) { if (val) delete val; }
  int operator! ( void ) const { return val; }
  VdOptionClassElementType * operator-> ( void ) const
                 { return val; }
  operator VdOptionClassElementType & (void) const
                        { return *val; }
  void create ( VdString & s );
  void copy ( VdString & ) 
  void rem ( void ) { if (val) delete val; }
  
};

#undef VdOptionClassName
#undef VdOptionClassElementType


