#define _VDDECORATEDEDITWINDOW_CXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdDecoratedEditWindow.cxx                         *
*  Date: 30-10-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: B. Miethig                                      *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
*     Implementation of class VdEditWindow:                *
*                                                          *
*     Interface                                            *
*          VdDecoratedEditWindow.hxx                       *
*                                                          *
***********************************************************/

/******************    dependences    *********************/

#include <Vd/VdEditWindow.hxx>
#include <Vd/VdButton.hxx>
#include <Vd/VdDecoratedEditWindow.hxx>
#include <Vd/VdAbstractWindow.hxx>


VdDecoratedEditWindow::VdDecoratedEditWindow(
	VdShell &shell, Boolean withScrollbars):
		VdEditWindow(shell,withScrollbars)
	{
		installExitButton(Vd_Default) ;
	}

void VdDecoratedEditWindow::handleHelp( void )
{
	VdShell::help(VdFeature("Visamad:DecoratedEditWindow"));
}

#undef _VDDECORATEDEDITWINDOW_CXX
