#ifndef _VDFILLTYPE_HXX
#define _VDFILLTYPE_HXX
 
/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdFillType.hxx                                    *
*  Date: 27-01-93                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Benary, B. Miethig, J. Hutschenreiter        *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
*     Definition of classes                                *
*        VdFillType                                        *
*                                                          *
***********************************************************/
 
/******************  defined classes  *********************/

class VdFillType;

/******************    dependences    *********************/

class VdFillType{
  int code;

 public:

  friend void InitGraphicAttributes(Display *dp);

  VdFillType(void) { code = -1; }
  VdFillType(const int aCode) ;
  int Code(void) const { return code; }


  int operator==(const VdFillType & c) const;
  int operator!=(const VdFillType & c) const;
}; 
 
/************************** constants **************************/


extern const VdFillType VdFILLSOLID, 
                        VdFILLTILED, 
                        VdFILLSTIPPLED,
                        VdFILLOPAQUE,
                        VdFILLUNDEF;

#endif  /* _VDFILLTYPE_HXX */
