#ifndef _VDFORMULARENTRY_HXX
#define _VDFORMULARENTRY_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdFormularEntry.hxx                               *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdFormularEntry;

/******************    dependences    *********************/

#include <Vd/VdString.hxx>

class VdFormularEntry{

  public:

   enum VdFormularEntryType{ Title, Information, Input,
			RadioBox, CheckBox } type;
   VdString name;

   VdFormularEntry( void );

   virtual void handleOkOrCancel( int nrMisspelledEntries );

   int operator== ( const VdFormularEntry & ) const;
   int operator!= ( const VdFormularEntry & ) const;

};

#endif /* _VDFORMULARENTRY_HXX */
