#ifndef _VDSELECTEDHANDLES_HXX 
#define _VDSELECTEDHANDLES_HXX 

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdSelectedHandles.hxx                             *
*  Date: 31-10-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Benary, J. Hutschenreiter                    *
*  State of Realization: experimental version              *
*                                                          *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdSelectedHandles;

/******************    dependences    *********************/

#include <Vd/VdHandlePtrList.hxx>

class VdPicture;


class VdSelectedHandles{

 public:

  VdPicture * thePicture;
  VdHandlePtrList handles;

  int operator==( const VdSelectedHandles &) const;
  int operator!=( const VdSelectedHandles &) const;

};

#endif /* _VDSELECTEDHANDLES_HXX */
