#ifndef _VDSTRINGPATTERN_HXX
#define _VDSTRINGPATTERN_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdStringPattern.hxx                               *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdStringPattern;

/******************    dependences    *********************/

#include <Vd/VdString.hxx>
#include <Vd/VdCharSet.hxx>

#define MARK '\273'

class VdStringPattern{

  VdCharSet types[53];
  unsigned char * pattern;
  int analyse( unsigned char *, char *, int ) const;
 
  public:

  VdStringPattern( void );
  VdStringPattern( const VdStringPattern & );
  VdStringPattern & operator = ( const VdStringPattern & );
  int setType( char , const VdCharSet & );
  VdCharSet getType( char ) const;
  void setPattern( const VdString & );
  int test( VdString & ) const;
  int testAndMark( VdString & ) const;
  ~VdStringPattern( void );

};

#endif /* _VDSTRINGPATTERN_HXX */
