#ifndef _VDTOPIC_HXX
#define _VDTOPIC_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdTopic.hxx                                       *
*  Date: 28-07-93                                          *
*  Copyright (c) 1993                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: B. Miethig, J. Hutschenreiter                   *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
*  SubTopic in a VdHelp object                             *
*                                                          *
***********************************************************/

#include <Vd/VdFeature.hxx>

class VdHelp; 
class VdTopic {
   public:
	VdFeature theIdent;
	VdHelp *theHelp;
	VdTopic( void );
	int operator == (const VdTopic&) const ;
	int operator != (const VdTopic&) const;
};

#endif	// _VDTOPIC_HXX
