#include <stream.h>
#include <stdio.h>

#include <stdlib.h>

#include <adouble.h>    // These includes provide the compiler with
#include <adutils.h>    // definitions and utilities for `adoubles'.

#define double adouble

void function(double * x, double * y)
{ double h1=0.0, h2=0.0, h3=0.0;

  h1=sin(x[1]+x[3])*exp(x[2]*x[4]);
  h2=cos(x[2]+x[4])*exp(x[1]*x[3]);
  h3=(h1*h2)/(h1+h2);
  y[0]=x[0]/(1+h1);
  y[1]=x[0]/(1+h2);
  y[2]=x[0]/(1+h3);
}

#undef double

int main()
{ int i, tag=0, dum=0; double yy;
  adouble x[5] = { 1.0,2.0,3.0,4.0,5.0 },
          y[3] = { 1.0,2.0,3.0 };
  trace_on(tag);
  for (i=0;i<5;i++) x[i]<<=i+1;

  function(x,y);

  for (i=0;i<3;i++) y[i]>>=yy;
  trace_off(1); 
 
  return 0;
}
