#include <string.h>

static char parts[10][1024];
static int paidx;
static char * ptptr, * stptr;

static int analyze();
static int getstar();
static int getmark();
static int composestring(char* pat, char* str, int len);

int matchstring(char* spat,char* str,char* tpat,char* res,int len)
{ if (strlen(str)>1023) return -2;
  ptptr=spat; stptr=str;
  paidx=0;
  if (analyze()) return composestring(tpat,res,len);
  else return -1;
}

static int analyze()
{ char * lptptr, * lstptr;
  lptptr=ptptr; lstptr=stptr;
  while(1)
  { switch(*ptptr)
    { case '*' : if (!getstar()) goto back;
                 return 1;
      case '?' : if (!getmark()) goto back;
                 return 1;
      case '\0': if (*stptr)  goto back;
                 return 1;
      default  : if (*stptr++!=*ptptr++) goto back;
                 break;
    }
  }
  back:
  ptptr=lptptr; stptr=lstptr;
  return 0;
}

static int getstar()
{ char * lptptr, * lstptr;
  char * paptr;
  lptptr=ptptr; lstptr=stptr;
  ptptr++;
  if (paidx<10) paptr=parts[paidx];
  else paptr=NULL;
  while(1)
  { switch(*stptr)
    { case '\0': if (paptr)
                 { *paptr='\0'; paidx++;
                 }
                 if (analyze()) return 1;
                 if (paptr) paidx--;
                 goto back;
      default  : if ((*ptptr=='?') || (*ptptr=='*'))
                 { if (paptr)
                   { *paptr='\0'; paidx++;
                   }
                   if (analyze()) return 1;
                   if (paptr) paidx--;
                 }
                 else if (*stptr==*ptptr)
                 { if (paptr)
                   { *paptr='\0'; paidx++;
                   }
                   if (analyze()) return 1;
                   if (paptr) paidx--;
                 }
                 *paptr++=*stptr++;
                 break;
    }
  }
  back:
  ptptr=lptptr; stptr=lstptr;
  return 0;
}

static int getmark()
{ char * lptptr, * lstptr;
  if (*stptr=='\0') return 0;
  lptptr=ptptr; lstptr=stptr;
  ptptr++;
  parts[paidx][0]=*stptr++; parts[paidx++][1]='\0';
  if (analyze()) return 1;
  paidx--;
  ptptr=lptptr; stptr=lstptr;
  return 0;
}

static int composestring(char* pat, char* str, int len)
{ int l, ll, i;
  l=0;
  while(1)
  { switch(*pat)
    { case '\0': *str='\0'; return 1;
      case '$' : pat++;
                 if ((*pat>='0')&&(*pat<='9'))
                 { i=*pat++-'0';
                   if (i>=paidx)
                   { if (l+1<len)
                     { *str++='$'; l++; *str++=i+'0'; l++; 
                       continue;
                     }
                     if (l<len) { *str++='$'; l++; *str='\0'; return 0; }
                     else { *str='\0'; return 0; }
                   }                     
                   ll=strlen(parts[i]);
                   if (l+ll>len)
                   { strncpy(str,parts[i],len-l);
                     *(str+len-l)='\0';
                     return 0;
                   }
                   strcpy(str,parts[i]); str+=ll; l+=ll;
                   continue;
                 }
                 if (*pat='$')
                 { pat++;
                   if (l<len) { *str++='$'; l++; }
                   else { *str='\0'; return 0; }
                   continue;
                 }                
                 if (l<len) { *str++='$'; l++; }
                 else { *str='\0'; return 0; }
                 continue;
      default  : if (l<len) { *str++=*pat++; l++; }
                 else { *str='\0'; return 0; }
                 continue;
    }
  }
}
