#ifndef _VDARCTYPE_HXX
#define _VDARCTYPE_HXX
 
/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdArcType.hxx                                     *
*  Date: 27-01-93                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Benary, B. Miethig, J. Hutschenreiter        *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
*     Definition of classes                                *
*        VdArcType                                         *
*                                                          *
***********************************************************/
 
/******************  defined classes  *********************/

class VdArcType;

/******************    dependences    *********************/
 
class VdArcType{
  int code;

 public:

  friend void InitGraphicAttributes(Display *dp);

  VdArcType(void) { code = -1; }
  VdArcType(const int aType) ; 
  int Code(void) const { return code; }


  int operator==(const VdArcType & c) const;
  int operator!=(const VdArcType & c) const;
}; 
 
/************************** constants *********************/


extern const VdArcType VdARCPIESLICE, 
                       VdARCCHORD,
                       VdARCUNDEF;

 
#endif  /* __VDARCTYPE_HXX */
