#ifndef _VDBUTTONINTERFACE_HXX
#define _VDBUTTONINTERFACE_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdButtonInterface.hxx                             *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author:                                                 *
*  State of Realization:                                   *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdButtonInterface;
class VdButtonInterfacePtrList;

/******************    dependences    *********************/

#include <Vd/VdFeature.hxx>
#include <Vd/VdString.hxx>

class VdButtonInterface{
 public:

  VdString idf;

  virtual int getType( void ) { return 0; }

  virtual void activate ( const VdFeature & theWindow
                        );

};


#define VdListClassName VdButtonInterfacePtrList
#define VdListClassElementType VdButtonInterface*
#include <Vd/VdListDeclaration.mxx>
#undef VdListClassName
#undef VdListClassElementType

#endif /* _VDBUTTONINTERFACE_HXX */
