#ifndef _VDEVENTHANDLING_HXX
#define _VDEVENTHANDLING_HXX
/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdEventHandling.hxx                               *
*  Date: 01-10-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Benary, J. Hutschenreiter                    *
*  State of Realization: experimental version              *
*                                                          *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdEvent;
class VdHandle;
class VdHandlePtrList;
class VdSelectedHandles;
class VdSelectedHandlesList;
class VdAllSelectedHandles;

/******************    dependences    *********************/

#include <Vd/VdEvent.hxx>
#include <Vd/VdHandle.hxx>
#include <Vd/VdHandlePtrList.hxx>
#include <Vd/VdSelectedHandles.hxx>
#include <Vd/VdSelectedHandlesList.hxx>
#include <Vd/VdAllSelectedHandles.hxx>

#endif /* _VDEVENTHANDLING_HXX */

