#ifndef _VDEVENTMANAGERINTERFACE_HXX
#define _VDEVENTMANAGERINTERFACE_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdEventManagerInterface.hxx                       *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdEventManagerInterface;

/******************    dependences    *********************/

#include <Vd/VdFeature.hxx>
#include <Vd/VdEventHandling.hxx>
#include <Vd/VdWindowManagerInterface.hxx>

class VdEventManagerInterface{
 protected:

  VdFeature Prefix;

 public :

  virtual void handleEvent
            ( VdWindowManagerInterface *
            , VdAllSelectedHandles *
            );

  const VdFeature & getEventPrefix( void ) const;

};

#endif /* _VDEVENTMANAGERINTERFACE_HXX */
