#ifndef _VDFORMULARINPUT_HXX
#define _VDFORMULARINPUT_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdFormularInput.hxx                               *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdFormularInput;

/******************    dependences    *********************/

#include <Vd/VdString.hxx>
#include <Vd/VdCharSet.hxx>
#include <Vd/VdStringPattern.hxx>
#include <Vd/VdFormularEntry.hxx>

class VdFormularInput : public VdFormularEntry{

  public:

   VdString contents;
   int line;
   int isChanged, isMisspelled;
   VdStringPattern pattern;

   VdFormularInput( int = 1);

   int setAndTestContents( char * );
   int setAndTestContents( const VdString & );
   int setTestAndMarkContents( char * );
   int setTestAndMarkContents( const VdString & );

};

#endif /* _VDFORMULARINPUT_HXX */
