#ifndef _VDFORMULARINTERFACE_HXX
#define _VDFORMULARINTERFACE_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdFormularInterface.hxx                           *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdFormularInterface;

/******************    dependences    *********************/

#include <Vd/VdString.hxx>
#include <Vd/VdFormularEntryPtrList.hxx>

class VdFormularInterface{

 public:

  VdString formularName;
  VdFormularEntryPtrList entries;
  int charWidth;

  VdFormularInterface( int = 30 );
};

#endif /* _VDFORMULARINTERFACE_HXX */
