#ifndef _VDHELPMANAGER_HXX
#define _VDHELPMANAGER_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdHelpManager.hxx                                 *
*  Date: 28-07-93                                          *
*  Copyright (c) 1993                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: B. Miethig, J. Hutschenreiter                   *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
* 
*                                                          *
***********************************************************/

class VdHelpWindow;

#include <Vd/VdHelp.hxx>
#include <Vd/VdHelpPtrList.hxx>
#include <Vd/VdFeature.hxx>
#include <Vd/VdHelpWindow.hxx>

class VdHelpManager{
	static  isInit;
	int dynamicObject;
	VdString helpFile;
	VdHelpPtrList theHelpChain;
	VdHelp * activeHelp;
	int idxActiveHelp;
	VdHelpWindow * theHelpWindow;
    protected:
	virtual	void init(int mode);
    public:
	VdHelpManager( int dynamic = 0 );
	VdHelpManager( VdString &fileName,
			int dynamic = 0 );
	void handleHelp( const VdFeature &idf );	
				// called by users
	void handleSelection( int selection );	
				// called by help window
} ;

#endif	// _VDHELPMANAGER_HXX
