#ifndef _VDHELPMEMORY_HXX
#define _VDHELPMEMORY_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdHelpMemory.hxx                                  *
*  Date: 29-07-93                                          *
*  Copyright (c) 1993                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter                               *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
*  VdHelp with help string in memory                       *
*                                                          *
***********************************************************/

#include <Vd/VdHelp.hxx>
#include <Vd/VdFeature.hxx>
#include <Vd/VdFeatureList.hxx>
#include <Vd/VdString.hxx>
#include <Vd/VdTopicList.hxx>
#include <Vd/VdHelpPtrList.hxx> 
#include <Vd/VdStringList.hxx>


class VdHelpMemory: public VdHelp {
	VdString theHelpString;
   public:
	VdHelpMemory(
		const VdString &theTitle, 
		const VdFeature &theIdf,	
		VdTopicList &theTopics, 
		const VdString &theString,
		int toUpdate=1) ;
	~VdHelpMemory(void) ;
	virtual VdString getHelpText( void );
};

#endif

