#ifndef _VDINCLUDES_HXX
#define _VDINCLUDES_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdIncludes.hxx                                    *
*  Date: 26-02-93                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
*     contains all include files                           *
*     of the Vd... runtime system                          *
*                                                          *
*                                                          *
***********************************************************/

/******************    dependences    *********************/

#include <Vd/VdAbstractWindow.hxx>
#include <Vd/VdActionButton.hxx>
#include <Vd/VdAllSelectedHandles.hxx>
#include <Vd/VdArc.hxx>
#include <Vd/VdArcType.hxx>
#include <Vd/VdArea.hxx>
#include <Vd/VdAreaList.hxx>
#include <Vd/VdArrow.hxx>
#include <Vd/VdButton.hxx>
#include <Vd/VdButtonInterface.hxx>
#include <Vd/VdCBmanager.hxx>
#include <Vd/VdCascadeMenu.hxx>
#include <Vd/VdCharSet.hxx>
#include <Vd/VdCheckBoxInterface.hxx>
#include <Vd/VdColor.hxx>
#include <Vd/VdConsistence.hxx>
#include <Vd/VdDestruction.hxx>
#include <Vd/VdDot.hxx>
#include <Vd/VdEditWindow.hxx>
#include <Vd/VdEvent.hxx>
#include <Vd/VdEventHandling.hxx>
#include <Vd/VdEventManagerInterface.hxx>
#include <Vd/VdFeature.hxx>
#include <Vd/VdFillType.hxx>
#include <Vd/VdFilledArc.hxx>
#include <Vd/VdFilledRectangle.hxx>
#include <Vd/VdFormular.hxx>
#include <Vd/VdFormularCheckBox.hxx>
#include <Vd/VdFormularEntry.hxx>
#include <Vd/VdFormularEntryPtrList.hxx>
#include <Vd/VdFormularInformation.hxx>
#include <Vd/VdFormularInput.hxx>
#include <Vd/VdFormularInterface.hxx>
#include <Vd/VdFormularRadioBox.hxx>
#include <Vd/VdFormularTitle.hxx>
#include <Vd/VdFractNumber.hxx>
#include <Vd/VdGeometricContext.hxx>
#include <Vd/VdGraphicAttributes.hxx>
#include <Vd/VdHandle.hxx>
#include <Vd/VdHandlePtrList.hxx>
#include <Vd/VdHexagon.hxx>
#include <Vd/VdLanguageInterface.hxx>
#include <Vd/VdLanguageBackGround.hxx>
#include <Vd/VdLine.hxx>
#include <Vd/VdLineType.hxx>
#include <Vd/VdMagnifierButton.hxx>
#include <Vd/VdMagnifierWindow.hxx>
#include <Vd/VdMessage.hxx>
#include <Vd/VdNet.hxx>
#include <Vd/VdNode.hxx>
#include <Vd/VdOval.hxx>
#include <Vd/VdPicture.hxx>
#include <Vd/VdPicturePtrList.hxx>
#include <Vd/VdPictureSummary.hxx>
#include <Vd/VdPixMap.hxx>
#include <Vd/VdPoint.hxx>
#include <Vd/VdPointList.hxx>
#include <Vd/VdPolyArrow.hxx>
#include <Vd/VdPopupMenu.hxx>
#include <Vd/VdPopupMenuInterface.hxx>
#include <Vd/VdPulldownOptions.hxx>
#include <Vd/VdRadioBoxInterface.hxx>
#include <Vd/VdRectangle.hxx>
#include <Vd/VdReference.hxx>
#include <Vd/VdReferencePtrList.hxx>
#include <Vd/VdSelectedHandles.hxx>
#include <Vd/VdSelectedHandlesList.hxx>
#include <Vd/VdSelectionHandle.hxx>
#include <Vd/VdShell.hxx>
#include <Vd/VdSimpleWindowManager.hxx>
#include <Vd/VdString.hxx>
#include <Vd/VdStringList.hxx>
#include <Vd/VdStringPattern.hxx>
#include <Vd/VdSublanguage.hxx>
#include <Vd/VdSublanguagePtrList.hxx>
#include <Vd/VdSystem.hxx>
#include <Vd/VdText.hxx>
#include <Vd/VdToggleList.hxx>
#include <Vd/VdVector.hxx>
#include <Vd/VdVectorList.hxx>
#include <Vd/VdWindowConnection.hxx>
#include <Vd/VdWindowInterface.hxx>
#include <Vd/VdWindowManagerInterface.hxx>
#include <Vd/VdintList.hxx>

#endif /* _VDINCLUDES_HXX */
