#define _VDLANGUAGEINTERFACE_CXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdLanguageInterface.cxx                           *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************    dependences    *********************/

#include <Vd/VdLanguageInterface.hxx>

#ifdef _HXX_INCLUDE_
#include <stddef.hxx>
#else
#include <stddef.h>
#endif

VdLanguageInterface::VdLanguageInterface( const VdString & name)
{ VdOriginPtr=NULL;
  VdLanguageName=name;
}

VdLanguageInterface::VdLanguageInterface( const VdLanguageInterface & x)
{ VdOriginPtr=NULL;
  VdLanguageName=x.VdLanguageName;
}

VdLanguageInterface::~VdLanguageInterface(void)
{
}

const VdString & VdLanguageInterface::VdGetLanguageName( void )
{ return VdLanguageName;
}

int VdLanguageInterface::operator == ( const VdLanguageInterface & r ) const
{ return this == &r;
}

int VdLanguageInterface::operator != ( const VdLanguageInterface & r ) const
{ return this != &r;
}

#undef _VDLANGUAGEINTERFACE_CXX 
