#ifndef _VDPIXMAP_HXX
#define _VDPIXMAP_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdPixMap.hxx                                      *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdPixMap;

/******************    dependences    *********************/

#include <Vd/VdString.hxx>


class VdPixMap
{
   int xpixels, ypixels;
   char * pixels;

  public:

   VdPixMap( void );
   VdPixMap( VdPixMap & );
   VdPixMap & operator =( VdPixMap & );
   void setSize( int,int );
   int getXSize( void );
   int getYSize( void );
   int getAreaLength( void );
   char * getArea( void );
   int write( VdString & );
   int operator ==( VdPixMap & ) const;
   int operator !=( VdPixMap & ) const;
   ~VdPixMap( void );
};

#endif /* _VDPIXMAP_HXX */
