/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdPrecariousConstants.C                           *
*  Date: 07-04-93                                          *
*  Copyright (c) 1993                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter                               *
*  State of Realization:  experimental version             *
************************************************************
*                                                          *
*     This modul contains global constants                 *
*     and static members witch must be constructed         *
*     in a fixed order                                     *
*                                                          *
*                                                          *
***********************************************************/

/******************    dependences    *********************/

#include <Vd/VdFeature.hxx>
#include <Vd/VdStringList.hxx>
#include <Vd/VdCBmanager.hxx>

/************ static member of class VdFeature ************/
VdStringList VdFeature::Identifier;

/**************** constants of VdCBmanager ****************/
const VdFeature Vd_LEFT_MOUSE_BUTTON_PRESSED
		("MOUSE:LEFT:PRESSED");
const VdFeature Vd_RIGHT_MOUSE_BUTTON_PRESSED
		("MOUSE:RIGHT:PRESSED");
const VdFeature Vd_MIDDLE_MOUSE_BUTTON_PRESSED
		("MOUSE:MIDDLE:PRESSED");
const VdFeature Vd_RIGHT_MIDDLE_MOUSE_BUTTON_PRESSED
		("MOUSE:RIGHT:MIDDLE:PRESSED");
const VdFeature Vd_LEFT_MIDDLE_MOUSE_BUTTON_PRESSED
		("MOUSE:LEFT:MIDDLE:PRESSED");
const VdFeature Vd_LEFT_MOUSE_BUTTON_RELEASED
		("MOUSE:LEFT:RELEASED");
const VdFeature Vd_RIGHT_MOUSE_BUTTON_RELEASED
		("MOUSE:RIGHT:RELEASED");
const VdFeature Vd_MIDDLE_MOUSE_BUTTON_RELEASED
		("MOUSE:MIDDLE:RELEASED");
const VdFeature Vd_RIGHT_MIDDLE_MOUSE_BUTTON_RELEASED
		("MOUSE:RIGHT:MIDDLE:RELEASED");
const VdFeature Vd_LEFT_MIDDLE_MOUSE_BUTTON_RELEASED
		("MOUSE:LEFT:MIDDLE:RELEASED");
const VdFeature Vd_KEY_PRESSED("KEY:PRESSED");
const VdFeature Vd_KEY_RELEASED("KEY:RELEASED");
const VdFeature Vd_KEYSTATE("KEYSTATE");
const VdFeature Vd_SHIFT_KEYSTATE("SHIFT");
const VdFeature Vd_CONTROL_KEYSTATE("CTRL");
const VdFeature Vd_ALT_KEYSTATE("ALT");
const VdFeature Vd_ALT_GR_KEYSTATE("ALT_GR");
