#ifndef _VDRADIOBOXINTERFACE_HXX
#define _VDRADIOBOXINTERFACE_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdRadioBoxInterface.hxx                           *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*    aus ButtonInterface abgeleitete Klasse zur            *
*    Ankopplung von 1-aus-n-PulldownOptions.               *
*    Bereitstellung in ButtonInterfacePtrList mglich,     *
*    da SelbstIdentifikation ber getType eingefgt.       *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdRadioBoxInterface;

/******************    dependences    *********************/


#include <Vd/VdButtonInterface.hxx>
#include <Vd/VdStringList.hxx>

class VdRadioBoxInterface: public VdButtonInterface{
 public:

  VdStringList labels;
  long mask; 

  virtual int getType( void ) { return 1; }
  virtual void activate ( const VdFeature & theWindow
                        );
  virtual void pullDown ( void );
};

#endif /* _VDRADIOBOXINTERFACE_HXX */
