#define _VDSYSTEM_CXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdSystem.cxx                                      *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************    dependences    *********************/

extern "C"{

#ifdef _HXX_INCLUDE_
#include <stdio.hxx>

FILE* popen(char*,char*);
int pclose(FILE*);

#else
#include <stdio.h>
#endif

};

#include <Vd/VdSystem.hxx>



int VdSystem::call ( const VdString & command )
{ FILE * f;
  char buffer[1024];
  if ((f=popen(command.charptr(),"r"))==NULL) return -1;
   while ( fgets(buffer,1023,f))
   { VdString s(buffer);
     if ((!s)&&(s[(!s)-1]=='\n')) s[(!s)-1]='\0';
     results.ins()=s;
   }
   return pclose(f);
}

VdStringList & VdSystem::result (void)
{ return results;
}

#undef _VDSYSTEM_CXX
