#ifndef _VDSYSTEM_HXX
#define _VDSYSTEM_HXX

/***********************************************************
*                    VISAMAD.defgraph                      *
*               ==========================                 *
*  File: VdSystem.hxx                                      *
*  Date: 29-09-92                                          *
*  Copyright (c) 1992                                      *
*  Technical University Dresden, Department of Mathematics *
*  Author: J. Hutschenreiter , J.Benary                    *
*  State of Realization:                                   *
*   ( experimental version )                               *
************************************************************
*                                                          *
*  Comment                                                 *
*                                                          *
***********************************************************/

/******************  defined classes  *********************/

class VdSystem;

/******************    dependences    *********************/

#include <Vd/VdString.hxx>
#include <Vd/VdStringList.hxx>

class VdSystem{

    VdStringList results;

  public:

    int            call   ( const VdString & command );
    VdStringList & result (void);

};

#endif /* _VDSYSTEM_HXX */
